import { Observable } from 'rxjs';
import { PermissionModel } from './http.models';
import { SinusHttpService } from './http.service';
export declare class SettingsService {
    private http;
    constructor(http: SinusHttpService);
    permissions(): Observable<PermissionModel[]>;
}
declare global  {
    interface Array<T> {
        access(section: string, action: string): boolean;
    }
}
export interface OnPermission {
    sinusOnPermission(per: PermissionModel[]): void;
}
